Skip to main content
GET
/
v2
/
webhook
/
endpoint
/
{id}
Endpoint - Get
curl --request GET \
  --url https://api.dex.chainstream.io/v2/webhook/endpoint/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "ep_01HT7Z4QJ7N2Q9W8P6V3K5M1X2",
  "url": "https://example.com",
  "channels": [
    "sol.token.migrated"
  ],
  "createdAt": "2021-01-01",
  "description": "Webhook description",
  "disabled": false,
  "filter": "<string>",
  "filterTypes": [
    "<string>"
  ],
  "metadata": {
    "key": "value"
  },
  "rateLimit": 1000,
  "updatedAt": "2021-01-01"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Endpoint ID

Response

200 - application/json

Successful response

Webhook endpoint response

id
string
required

DTO.ENDPOINT.ID

Example:

"ep_01HT7Z4QJ7N2Q9W8P6V3K5M1X2"

url
string
required

DTO.ENDPOINT.URL

Example:

"https://example.com"

channels
enum<string>[] | null

DTO.ENDPOINT.CHANNELS

Webhook event channel

Available options:
sol.token.migrated,
sol.token.created
createdAt
string | null

DTO.ENDPOINT.CREATED_AT

Example:

"2021-01-01"

description
string | null

DTO.ENDPOINT.DESCRIPTION

Example:

"Webhook description"

disabled
boolean | null

DTO.ENDPOINT.DISABLED

Example:

false

filter
string | null

DTO.ENDPOINT.FILTER

filterTypes
string[] | null

DTO.ENDPOINT.FILTER_TYPES

metadata
object

DTO.ENDPOINT.METADATA

Example:
{ "key": "value" }
rateLimit
integer<int32> | null

DTO.ENDPOINT.RATE_LIMIT

Required range: x >= 0
Example:

1000

updatedAt
string | null

DTO.ENDPOINT.UPDATED_AT

Example:

"2021-01-01"